才发现因为一些原因,新版Dropbox Linux客户端在部分文件系统上会无法同步。玄学的判断,导致甚至允许的文件系统也会报错:

[ALERT]: So your files continue to sync, sign in to your Dropbox account and move Dropbox to a supported file system.

解决这个问题,可以使用Github的一个repo:Dropbox filesystem fix for Linux

Clone后,进目录make编译得到libdropbox_fs_fix.so,然后你有几种选择。

1.使用该项目目录下的dropbox_start.py来启动Dropbox绕开限制(只有启动功能)。

2.Dropbox官方的dropbox.py,然后编辑后,使其加载libdropbox_fs_fix.so来达到绕开限制。

3.在命令行引用libdropbox_fs_fix.so,再手动启动dropboxd

4.更多其他方式。

我使用的是官方的dropbox.py,然后参照dropbox_start.py加了几行代码进去,使官方代码也能自动加载libdropbox_fs_fix.so

首先,我推荐编译后的文件拷贝到~/.dropbox-dist/libdropbox_fs_fix.so,然后在官方脚本(2019.02.14版本)的751行加入:

lib_path = "%s/.dropbox-dist/libdropbox_fs_fix.so" % PARENT_DIR
if os.path.exists(lib_path):
    console_print(u"\ndropbox: load filesystem fix library")
    os.environ["LD_PRELOAD"] = lib_path

或者,使用我改好的脚本的补丁,已经放在Github上了,传送门

然后将补丁文件dropbox_fs_fix.patch,跟官方脚本放在一起,使用下面命令即可。

patch dropbox.py dropbox_fs_fix.patch

转载请注明转自:kn007的个人博客的《解决Dropbox (Linux)因文件系统无法同步问题》

{{uname}}

{{meta.replies}} 条回复
写下第一个评论!

-----------到底了-----------